/******************************************************************************
 * AtiMAXVertexNormals.h
 ******************************************************************************
 $Header:: /N-Patch/Max3.1Exporter/AtiMAXVertexNormals.h 2     4/13/01 12:34a $
 ******************************************************************************
 * Created by Alex Vlachos (AVlachos@ati.com) on 4-12-2001
 * (C) 2000 ATI Research, Inc.  All rights reserved.
 ******************************************************************************/

#ifndef __ATIMAXVERTEXNORMALS__H
#define __ATIMAXVERTEXNORMALS__H

// INCLUDES ===================================================================
#include "Max.h"

// CLASS DEFINITION ===========================================================
class VNormal
{
   public:
      Point3 norm;
      DWORD smooth;
      VNormal *next;
      BOOL init;

      VNormal() { smooth=0; next=NULL; init=FALSE; norm=Point3(0,0,0); }
      VNormal(Point3 &n,DWORD s) { next=NULL; init=TRUE; norm=n; smooth=s; }
      ~VNormal() { delete next; }
      void AddNormal(Point3 &n,DWORD s);
      Point3 &GetNormal(DWORD s);
      void Normalize();
};

// FUNCTION DEFS ==============================================================
float AtiMAXFindVertexAngle (Mesh *mesh, int face, int corner);

#endif
